Package org.kapott.hbci.GV.parsers

# Interface ISEPAParser<T>

Type Parameters:
  `T` - Die konkrete Struktur, in die die Daten geparst werden.

All Known Implementing Classes:
  `AbstractCamtParser`, `AbstractSepaParser`, `ParseCamt05200101`, `ParseCamt05200102`, `ParseCamt05200103`, `ParseCamt05200104`, `ParseCamt05200105`, `ParseCamt05200106`, `ParseCamt05200107`, `ParseCamt05200108`, `ParseCamt05200109`, `ParsePain00100102`, `ParsePain00100103`, `ParsePain00100109`, `ParsePain00100111`, `ParsePain00100202`, `ParsePain00100203`, `ParsePain00100303`, `ParsePain00800101`, `ParsePain00800102`, `ParsePain00800108`, `ParsePain00800110`, `ParsePain00800201`, `ParsePain00800202`, `ParsePain00800302`

public interface ISEPAParser<T>
Basis-Interface der SEPA-XML Parser.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ISEPAParser.Names`
Enums fuer die verwendeten Schluessel-Namen in den Properties.

## Method Summary

Modifier and Type
Method
Description
`void`
`parse(InputStream xml, T target)`
Parst SEPA-XML-Daten aus dem Stream und schreib die Ergebnisse in die Liste von Properties-Objekten.

## Method Details

### parse

void parse(InputStream xml, T target)
Parst SEPA-XML-Daten aus dem Stream und schreib die Ergebnisse in die Liste von Properties-Objekten.

Parameters:
  `xml` - der Stream mit den XML-Daten.
  `target` - das Zielobjekt, in das die Daten gelesen werden.